import { MatchResults } from '@/enums/tc'

export function jumpLink(mid, matchType) {
    /** matchType 1足球  2篮球 */
    const url = matchType === 1 ? 
    `https://www.sporttery.cn/jc/zqdz/index.html?showType=3&mid=${mid}` : 
    `https://www.sporttery.cn/jc/lqdz/index.html?showType=3&mid=${mid}`
    window.open(url)
}


export function processMatchResults(data) {
    // 获取MatchResults的key值并按字母顺序排序
    const sortedKeys = Object.keys(MatchResults)
    
    // 创建一个新数组，用于存储处理后的结果
    const result = [];
    
    // 遍历排序后的key值
    for (const key of sortedKeys) {
        // 在原始数据中查找匹配的code
        const item = data.find(item => item.code === key);
        
        // 如果找到匹配的item，则添加codeName属性并添加到结果数组中
        if (item) {
            result.push({
                ...item,
                codeName: MatchResults[key]
            });
        }
    }
    
    return result;
}
